<!--
Copyright © 2012-2023 jrnl contributors
License: https://www.gnu.org/licenses/gpl-3.0.html
-->

# ジャーナルタイプ

`jrnl`はいくつかの異なる方法でジャーナルを保存できます：

- 単一のテキストファイル（暗号化されているかどうかにかかわらず）
- 日付ごとに整理された暗号化されていないテキストファイルを含むフォルダ構造
- DayOne Classicフォーマット

使用したいジャーナルタイプを指定する必要はありません。代わりに、
`jrnl`は[設定ファイル](advanced.md)でファイルを参照しているかフォルダを参照しているか、
そしてそれがフォルダの場合、DayOne Classicのコンテンツがそこに存在するかどうかに基づいて、
自動的にジャーナルタイプを検出します。

## 単一ファイル

単一ファイルフォーマットは最も柔軟で、[暗号化](encryption.md)することができます。
使用するには、ファイルへのパス、または既に存在しないパスを入力します。任意の拡張子を
使用できます。最初のエントリーを保存すると、`jrnl`は自動的にファイルを作成します。

## フォルダ

フォルダジャーナルフォーマットは、エントリーを年と月のサブフォルダ、そして各日の`.txt`ファイルに
整理します。1日に複数のエントリーがある場合、それらはすべて同じ`.txt`ファイルに表示されます。

ディレクトリツリー構造は以下の形式です：`YYYY/MM/DD.txt`。例えば、
`~/folderjournal`にあるフォルダジャーナルに2021年5月5日のエントリーがある場合、
次の場所に配置されます：`~/folderjournal/2021/05/05.txt`

!!! note
新しいフォルダジャーナルの作成は2つの方法で行えます：

- `jrnl`を実行する前に、ジャーナルの名前でフォルダを作成します。そうしないと、`jrnl`を初めて実行したとき、単一ファイルジャーナルを作成していると見なされ、そのパスにファイルが作成されます。
- [設定ファイル](advanced.md)で新しいジャーナルを作成し、パスの最後に`/`（POSIXシステムのLinuxやMacOSXの場合）または`\`（Windowsシステムの場合）を付けます。フォルダが存在しない場合は自動的に作成されます。

!!! note
フォルダジャーナルは暗号化できません。

## Day One Classic

`jrnl`はDayOneで使用されていた元のデータフォーマットをサポートしています。これはフォルダ
ジャーナルフォーマットに似ていますが、以下の特徴のいずれかで識別されます：

- フォルダに`.dayone`拡張子がある
- フォルダに`entries`という名前のサブフォルダがある

これはDayOne 2.0フォーマットとは混同しないでください。[それは非常に異なります](https://help.dayoneapp.com/en/articles/1187337-day-one-classic-is-retired)。

!!! note
DayOne Classicジャーナルは暗号化できません。

## ジャーナルタイプの変更

ジャーナルの設定を単に変更してタイプを変更することはできません。代わりに、
希望するタイプの新しいジャーナルを定義し、
[パイピング](<https://en.wikipedia.org/wiki/Redirection_(computing)#Piping>)
を使用して古いジャーナルを`txt`としてエクスポートし、新しいジャーナルにインポートコマンドを実行します。

例えば、`projects`ジャーナルを`new`ジャーナルにインポートしたい場合、
`new`ジャーナルの設定を行った後、次のように実行します：

```
jrnl projects --format txt | jrnl new --import
```
