<!--
Copyright © 2012-2023 jrnl contributors
License: https://www.gnu.org/licenses/gpl-3.0.html
-->

# 概要

`jrnl`はコマンドライン用のシンプルな日記アプリケーションです。

簡単に日記エントリーの作成、検索、閲覧ができます。日記は人間が読める形式のプレーンテキストで保存され、[AES暗号化](http://en.wikipedia.org/wiki/Advanced_Encryption_Standard)を使用して暗号化することもできます。

`jrnl`には必要な機能のほとんどが備わっており、不要な機能はほとんどありません。

## プレーンテキスト

`jrnl`は各日記をプレーンテキストで保存します。`jrnl`ファイルは任意の場所に保存でき、共有フォルダに保存してデバイス間で同期することもできます。日記ファイルはコンパクトで（数千のエントリーでも1MiB未満）、現在そして近い将来にわたってほぼすべての電子デバイスで読むことができます。

## タグ

後でエントリーを見つけやすくするために、`jrnl`はインラインタグをサポートしています（デフォルトのタグ記号は`@`です）。タグを他の検索条件と組み合わせて、エントリーを検索およびフィルタリングできます。

## 複数の日記のサポート

`jrnl`は複数の日記の作成をサポートしており、各日記は単一のファイルまたは一連のファイルとして保存できます。エントリーは人間が読める形式で自動的にタイムスタンプが付けられ、複数のエントリーを一度に簡単に閲覧できます。`jrnl`は必要なエントリーを簡単に見つけ出し、読んだり編集したりすることができます。

## 外部エディタのサポート

`jrnl`はお気に入りのテキストエディタと上手く連携します。エディタで日記エントリーを書くことを好む場合や、より包括的なアプリケーションを必要とする変更を加えたい場合があるかもしれません。`jrnl`は特定のエントリーをフィルタリングし、選択した[外部エディタ](./external-editors.md)に渡すことができます。

## 暗号化

`jrnl`は[AES暗号化](http://en.wikipedia.org/wiki/Advanced_Encryption_Standard)をサポートしています。詳細については[暗号化ページ](./encryption.md)をご覧ください。

## インポートとエクスポート

`jrnl`は他のソースからエントリーを簡単にインポートできます。既存のエントリーは様々な[フォーマット](./formats.md)でエクスポートできます。

## マルチプラットフォームサポート

`jrnl`はほとんどのオペレーティングシステムと互換性があります。様々なパッケージマネージャーを使用して[ダウンロード](./installation.md)するか、ソースからビルドすることができます。

## オープンソース

`jrnl`は[Python](https://www.python.org)で書かれており、オープンソースソフトウェア愛好家の[フレンドリーなコミュニティ](https://github.com/jrnl-org/jrnl)によって維持されています。
